LibreOffice LibreOffice 6.1 SDK API Reference

Variables
com::sun::star::xml::crypto::DigestID Constant Group Reference

The constant set contains identifiers of supported digest-creation algorithms. More...

## Variables
const long | SHA1 = 1
| identifier of SHA-1 algorithm More...
const long | SHA256 = 2
| identifier of SHA-256 algorithm More...
const long | SHA1_1K = 3
| identifier of SHA-1 algorithm that is applied to the first kilobyte of data. More...
const long | SHA256_1K = 4
| identifier of SHA-256 algorithm that is applied to the first kilobyte of data. More...
const long | SHA512 = 5
| identifier of SHA-512 algorithm More...
const long | SHA512_1K = 6
| identifier of SHA-512 algorithm that is applied to the first kilobyte of data. More...

## Detailed Description

The constant set contains identifiers of supported digest-creation algorithms.

See also
  XDigestContextSupplier

Since
  OOo 3.4

## Variable Documentation

## ◆ SHA1

const long SHA1 = 1

identifier of SHA-1 algorithm

## ◆ SHA1_1K

const long SHA1_1K = 3

identifier of SHA-1 algorithm that is applied to the first kilobyte of data.

## ◆ SHA256

const long SHA256 = 2

identifier of SHA-256 algorithm

## ◆ SHA256_1K

const long SHA256_1K = 4

identifier of SHA-256 algorithm that is applied to the first kilobyte of data.

## ◆ SHA512

const long SHA512 = 5

identifier of SHA-512 algorithm

Since
  LibreOffice 6.0

## ◆ SHA512_1K

const long SHA512_1K = 6

identifier of SHA-512 algorithm that is applied to the first kilobyte of data.

Since
  LibreOffice 6.0